Bug 658981 - rebase cifs-utils to version 4.8.1 for RHEL 6.1
rebase cifs-utils to version 4.8.1 for RHEL 6.1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cifs-utils (Show other bugs)
6.0
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Jeff Layton
yanfu,wang
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-01 13:23 EST by Jeff Layton
Modified: 2011-05-19 09:06 EDT (History)
9 users (show)

See Also:
Fixed In Version: cifs-utils-4.8.1-2.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
cifs-utils has been rebased to version 4.8.1 in order to update its manpages and bring in some minor bug fixes. This rebase should be transparent to users.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:06:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2010-12-01 13:23:06 EST
I'm proposing to add some new features to the in-kernel CIFS client in RHEL6.1. With some of those new features come new mount options. I'd like to update the manpage for mount.cifs at the same time.

Another (possibly better) option would be to go ahead and rebase the cifs-utils package for 6.1. Upstream development on it has been relatively inactive for the last few months and we already have most of the substantial changes anyway as patches.

Doing that now will likely mean less maintenance in the future.
Comment 7 Jeff Layton 2010-12-09 10:45:16 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
cifs-utils has been rebased to version 4.7 in order to update its manpages and bring in some minor bug fixes. This rebase should be transparent to users.
Comment 14 yanfu,wang 2011-01-12 02:31:12 EST
hi Jeff,
I own the cifs-utils errata first, so could you edit "How to Test" of errata when the errata come to QE? And for this bug, how do I test it?
Comment 15 Jeff Layton 2011-01-12 07:34:02 EST
Not much to test here. My main reason for a rebase was to update the manpages to the latest upstream versions, but there were a couple of smaller patches that were nice-to-haves as well.

For this bug, I suppose just check that the manpages have been updated and that cifs mounts still work as expected.
Comment 16 yanfu,wang 2011-03-23 03:13:07 EDT
The feature bugs in comment #2 will be tracked in these bug's field separately.
verified below changes applied in package cifs-utils-4.8.1-1.el6:
# git log |grep manpage
    manpage: fix the SEE ALSO section
    manpage: change port option description
    mount.cifs: manpage: add entry for "actimeo" option
    manpage: add mount.cifs manpage entry for "multiuser" option
    manpages: document 'fsc' mount option

run cifs connectathon test against cifs-utils-4.8.1-1.el6 against above comment and results passed:
i386: https://beaker.engineering.redhat.com/jobs/60735
x86_64: https://beaker.engineering.redhat.com/jobs/60761
s390x: https://beaker.engineering.redhat.com/jobs/60762
ppc64: https://beaker.engineering.redhat.com/jobs/60763
Comment 17 Jeff Layton 2011-04-19 07:03:43 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-cifs-utils has been rebased to version 4.7 in order to update its manpages and bring in some minor bug fixes. This rebase should be transparent to users.+cifs-utils has been rebased to version 4.8.1 in order to update its manpages and bring in some minor bug fixes. This rebase should be transparent to users.
Comment 18 errata-xmlrpc 2011-05-19 09:06:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0569.html

Note You need to log in before you can comment on or make changes to this bug.